wierd behavior of theme in wordpress

I'm using the sparse theme and when I go into the visual editor, it's asking me to convert to new version, when I click the button to do so, nothing happens. When I go back into the visual editor it shows a please wait message that never goes away. Any idea what could be causing this?

Corn